<?php

// Default options values
$sa_options = array(
	'link-kharid' => '',
	'link-kanekshen' => '',
	'link-amozesh' => '',
	'link-portal' => '',
	'link-servisha' => '',
	'link-about' => '',
	'id-support1' => '',
	'id-support2' => '',
	'dl-adressyab' => '',
	'dl-https' => '',
	'dl-kerio' => '',
	'dl-inet' => '',
	'dl-vpn' => '',
	'copy-r1' => '',
	'link-tamas' => '',
);

if ( is_admin() ) : // Load only if we are viewing an admin page

function sa_register_settings() {
	// Register settings and call sanitation functions
	register_setting( 'sa_theme_options', 'sa_options', 'sa_validate_options' );
}

add_action( 'admin_init', 'sa_register_settings' );

// Store categories in array
$sa_categories[0] = array(
	'value' => 0,
	'label' => ''
);
$sa_cats = get_categories(); $i = 1;
foreach( $sa_cats as $sa_cat ) :
	$sa_categories[$sa_cat->cat_ID] = array(
		'value' => $sa_cat->cat_ID,
		'label' => $sa_cat->cat_name
	);
	$i++;
endforeach;

// Store layouts views in array
$sa_layouts = array(
	'fixed' => array(
		'value' => 'fixed',
		'label' => 'Fixed Layout'
	),
	'fluid' => array(
		'value' => 'fluid',
		'label' => 'Fluid Layout'
	),
);

function sa_theme_options() {
	// Add theme options page to the addmin menu
	add_theme_page( 'تنظیمات قالب', 'تنظیمات قالب', 'edit_theme_options', 'theme_options', 'sa_theme_options_page' );
}

add_action( 'admin_menu', 'sa_theme_options' );

// Function to generate options page
function sa_theme_options_page() {
	global $sa_options, $sa_categories, $sa_layouts;

	if ( ! isset( $_REQUEST['updated'] ) )
		$_REQUEST['updated'] = false; // This checks whether the form has just been submitted. ?>

	<div class="wrap">

	<?php screen_icon(); echo "<h2>" . get_current_theme() . __( ' Theme Options' ) . "</h2>";
	// This shows the page's name and an icon if one has been provided ?>

	<?php if ( false !== $_REQUEST['updated'] ) : ?>
	<div class="updated fade"><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
	<?php endif; // If the form has just been submitted, this shows the notification ?>

	<form method="post" action="options.php" style="direction:rtl;">

	<?php $settings = get_option( 'sa_options', $sa_options ); ?>
	
	<?php settings_fields( 'sa_theme_options' );
	/* This function outputs some hidden fields required by the form,
	including a nonce, a unique number used to ensure the form has been submitted from the admin page
	and not somewhere else, very important for security */ ?>












<body style="background: none;">

	<table class="form-table"><!-- Grab a hot cup of coffee, yes we're using tables! -->

<div style="font: 1.7em tahoma"> منو سایت ( به خاطر اینکه سایت شما بیشر مواقع فیلتر میشه و مجبور به تعویض دامین میشید فقط آخر لینک را اضافه کنید ) 
<br>
http://site.ir/pay
<br>
رو اینطوری بنویسد
<br>
pay

</div>
	




<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">لینک خرید آنلاین</label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="sa_options[link-kharid]" type="text" value="<?php  esc_attr_e($settings['link-kharid']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
لینک کانکشن ها
</td><td style="width: 192px">
<input id="footer_copyright" name="sa_options[link-kanekshen]" type="text" value="<?php  esc_attr_e($settings['link-kanekshen']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
لینک آموزش اتصال
</td>
<td style="width: 192px">
<input id="footer_copyright" name="sa_options[link-amozesh]" type="text" value="<?php  esc_attr_e($settings['link-amozesh']); ?>" style="width: 169px" /></td></tr>






<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">لینک پرتال مشتریان</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="sa_options[link-portal]" type="text" value="<?php  esc_attr_e($settings['link-portal']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
لینک سرویس ها
</td><td style="width: 192px">
<input id="footer_copyright" name="sa_options[link-servisha]" type="text" value="<?php  esc_attr_e($settings['link-servisha']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
لینک در باره ما
</td>
<td style="width: 192px">
<input id="footer_copyright" name="sa_options[link-about]" type="text" value="<?php  esc_attr_e($settings['link-about']); ?>" style="width: 169px" /></td></tr>




<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">لینک پشتیبای یک</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="sa_options[id-support1]" type="text" value="<?php  esc_attr_e($settings['id-support1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
لینک پشتیبانی یک
</td>
<td style="width: 192px">
<input id="footer_copyright" name="sa_options[id-support2]" type="text" value="<?php  esc_attr_e($settings['id-support2']); ?>" style="width: 173px" /></td>
<td style="width: 142px">
لینک دانلود آدرس یاب
</td>
<td style="width: 192px">
<input id="footer_copyright" name="sa_options[dl-adressyab]" type="text" value="<?php  esc_attr_e($settings['dl-adressyab']); ?>" style="width: 169px" /></td>
</tr>






<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">دانلود کانکشن https </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="sa_options[dl-https]" type="text" value="<?php  esc_attr_e($settings['dl-https']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
دانلود کانکشن Kerio
</td><td style="width: 192px">
<input id="footer_copyright" name="sa_options[dl-kerio]" type="text" value="<?php  esc_attr_e($settings['dl-kerio']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
دانلود کانکشن Inet
</td>
<td style="width: 192px">
<input id="footer_copyright" name="sa_options[dl-inet]" type="text" value="<?php  esc_attr_e($settings['dl-inet']); ?>" style="width: 169px" /></td></tr>




<tr valign="top"><th scope="row"><label for="intro_text">دانلود کانکشن vpn</label></th>
	<td style="width: 210px">
	<input id="footer_copyright" name="sa_options[dl-vpn]" type="text" value="<?php  esc_attr_e($settings['dl-vpn']); ?>" style="width: 169px" />
	</td>
	<td style="width: 133px">
متن کپی رایت
</td><td style="width: 192px">
<input id="footer_copyright" name="sa_options[copy-r1]" type="text" value="<?php  esc_attr_e($settings['copy-r1']); ?>" style="width: 173px" /></td>
<td style="width: 142px">
تماس با ما
</td>
<td style="width: 192px">
<input id="footer_copyright" name="sa_options[link-tamas]" type="text" value="<?php  esc_attr_e($settings['link-tamas']); ?>" style="width: 169px" /></td>	
	</tr>


	</table>

	<p class="submit"><input type="submit" class="button-primary" value="ذخیره تنظیمات" /></p>

	</form>

	</div>












	<?php
}

function sa_validate_options( $input ) {
	global $sa_options, $sa_categories, $sa_layouts;

	$settings = get_option( 'sa_options', $sa_options );
	
	// We strip all tags from the text field, to avoid vulnerablilties like XSS
	$input['sms'] = wp_filter_nohtml_kses( $input['sms'] );
	
	// We strip all tags from the text field, to avoid vulnerablilties like XSS
	$input['copy_text'] = wp_filter_post_kses( $input['copy_text'] );
	
	// We select the previous value of the field, to restore it in case an invalid entry has been given
	$prev = $settings['featured_cat'];
	// We verify if the given value exists in the categories array
	if ( !array_key_exists( $input['featured_cat'], $sa_categories ) )
		$input['featured_cat'] = $prev;
	
	// We select the previous value of the field, to restore it in case an invalid entry has been given
	$prev = $settings['layout_view'];
	// We verify if the given value exists in the layouts array
	if ( !array_key_exists( $input['layout_view'], $sa_layouts ) )
		$input['layout_view'] = $prev;
	
	// If the checkbox has not been checked, we void it
	if ( ! isset( $input['author_credits'] ) )
		$input['author_credits'] = null;
	// We verify if the input is a boolean value
	$input['author_credits'] = ( $input['author_credits'] == 1 ? 1 : 0 );
	
	return $input;
}

endif;  // EndIf is_admin()





